DOVEADM-AUTH(1)

NAME
doveadm-auth - Test authentication for a user

SYNOPSIS
doveadm [-Dv] auth [-a auth_socket_path] [-x auth_info] user [password]

DESCRIPTION
The auth command can be used to test the authentication for the given user.

OPTIONS
Global doveadm(1) options:

-D  Enables verbosity and debug messages.

-v  Enables verbosity, including progress counter.

Command specific options:

-a auth_socket_path
    This option is used to specify an absolute path to an alternative UNIX domain socket.

    By default doveadm(1) will use the socket /var/dovecot/auth-client. The socket may be located in another directory, when the default base_dir setting was overridden in /etc/dovecot/dovecot.conf.

-x auth_info
    auth_info specifies additional conditions for the auth command. The auth_info option string has to be given as name=value pair. For multiple conditions the -x option could be supplied multiple times.
    Possible names for the auth_info are:

    service
        The service for which the authentication lookup should be tested. The value may be the name of a service, commonly used with Dovecot. For example: imap, pop3 or smtp.

    lip The local IP address (server) for the test.

    rip The remote IP address (client) for the test.

    lport
        The local port, e.g. 143

    rport
        The remote port, e.g. 24567

ARGUMENTS

user
    The user's login name. Depending on the configuration, the login name may be for example jane or john@example.com.

password
    Optionally the user's password. doveadm(1) will prompt for the password, if none was given.

EXAMPLE
This example demonstrates an imap authentication test for user john, assuming the user is connected from the host with the IP address 192.0.2.143.

doveadm auth -x service=imap -x rip=192.0.2.143 john johns_password
passdb: john auth succeeded
extra fields:
  user=john

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
doveadm(1), doveconf(1)